# Disk Space Report Script

This script helps diagnose disk usage by estimating potential storage savings and identifying large directories on your system. It does not take any action; it only reports the current state of your disk usage.

## Features

- Estimates the size of the apt cache.
- Estimates the size of old installed packages.
- Estimates the size of journal logs.
- Estimates the size of temporary files.
- Estimates the size of unused Docker volumes.
- Lists directories consuming more than 5GB and 10GB.

## Usage

To use this script, execute it directly from the URL without downloading it, which is particularly useful when disk space is limited.

### Execute Directly from URL

Run the script directly from the URL using `curl` and piping to `bash`:

```bash
curl -sSL https://git.nixc.us/colin/disk-space-report/raw/branch/main/disk-check.sh | bash
```

## Output

The script will output the following information:

- The size of the apt cache.
- The size of old installed packages.
- The size of journal logs.
- The size of temporary files.
- The size of unused Docker volumes.
- Directories consuming more than 5GB and 10GB.

## Note

This script requires `sudo` privileges to estimate certain sizes and access system directories.